org.apache.hc.client5.http.auth

## Interface AuthSchemeFactory

All Known Implementing Classes:
  BasicSchemeFactory, BearerSchemeFactory, DigestSchemeFactory, KerberosSchemeFactory, NTLMSchemeFactory, SPNegoSchemeFactory

    public interface AuthSchemeFactory

Factory for `AuthScheme` implementations.

Since:
  4.3

### Method Summary

All Methods Instance Methods Abstract Methods
`AuthScheme` `create(org.apache.hc.core5.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.

### Method Detail

#### create

    AuthScheme create(org.apache.hc.core5.http.protocol.HttpContext context)

Creates an instance of `AuthScheme`.

Returns:
  auth scheme.